package org.ow2.weblab.core.annotator;

import java.net.URI;

import org.ow2.weblab.rdf.CommonNamespaces;
import org.w3c.dom.Node;

/**
 * This class defines properties used to build the container
 * in which statements are read and written.
 * 
 */
public class Element {
	private String localName;
	private String uri;
	private String prefix;
	
	public Element(String prefix, String uri, String localName) {
		this.localName = localName;
		this.uri = uri;
		this.prefix = prefix;
	}

	public String getLocalName() {
		return localName;
	}

	public void setLocalName(String localName) {
		this.localName = localName;
	}

	public String getUri() {
		return uri;
	}

	public void setUri(String uri) {
		this.uri = uri;
	}

	public String getPrefix() {
		return prefix;
	}

	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}
	
	public boolean equals(Node n){
		String name = n.getLocalName();
		String nuri = n.getNamespaceURI();
		
		if (name != null && nuri != null &&
			localName != null && uri != null && 
			name.equalsIgnoreCase(localName) && nuri.equalsIgnoreCase(uri)){
			return true;
		}
		
		return false;
	}
	
	public static final Element getDefaultElement(){
		return new Element(CommonNamespaces.RDF_PREFIX,
				CommonNamespaces.RDF_URI, "Description"); 
	}
	
	public URI toURI(){
		return URI.create(uri+localName); 
	}
}